### 2.10 `ccosh`, `ccoshf`—complex hyperbolic cosine

Synopsis

         #include <complex.h>
         double complex ccosh(double complex z);
         float complex ccoshf(float complex z);

Description
These functions compute the complex hyperbolic cosine of z.

`ccoshf` is identical to `ccosh`, except that it performs its calculations on `floats complex`.

Returns
These functions return the complex hyperbolic cosine value.

Portability
`ccosh` and `ccoshf` are ISO C99